POST V1/ProAdminPaymentsMaster.{ext}/SaveClientAccountDetails?accountId={accountId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
accountId

No description available

integer

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.ClientAccountEntity
NameDescriptionTypeAdditional information
CompanyId

No description available

integer

None.

ClientName

No description available

integer

None.

Product

No description available

integer

None.

BankRouting

No description available

string

None.

ZBAAcct

No description available

string

None.

Status

No description available

string

None.

BankName

No description available

string

None.

AcctType

No description available

string

None.

AcctCur

No description available

string

None.

City

No description available

string

None.

State

No description available

string

None.

Zip

No description available

string

None.

Country

No description available

string

None.

Address1

No description available

string

None.

Address2

No description available

string

None.

BankType

No description available

string

None.

Message

No description available

string

None.

ReferenceId

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "companyId": 1,
  "clientName": 2,
  "product": 3,
  "bankRouting": "sample string 4",
  "zbaAcct": "sample string 5",
  "status": "sample string 6",
  "bankName": "sample string 7",
  "acctType": "sample string 8",
  "acctCur": "sample string 9",
  "city": "sample string 10",
  "state": "sample string 11",
  "zip": "sample string 12",
  "country": "sample string 13",
  "address1": "sample string 14",
  "address2": "sample string 15",
  "bankType": "sample string 16",
  "message": "sample string 17",
  "referenceId": "sample string 18"
}

application/xml, text/xml

Sample:
<ClientAccountEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <AcctCur>sample string 9</AcctCur>
  <AcctType>sample string 8</AcctType>
  <Address1>sample string 14</Address1>
  <Address2>sample string 15</Address2>
  <BankName>sample string 7</BankName>
  <BankRouting>sample string 4</BankRouting>
  <BankType>sample string 16</BankType>
  <City>sample string 10</City>
  <ClientName>2</ClientName>
  <CompanyId>1</CompanyId>
  <Country>sample string 13</Country>
  <Message>sample string 17</Message>
  <Product>3</Product>
  <ReferenceId>sample string 18</ReferenceId>
  <State>sample string 11</State>
  <Status>sample string 6</Status>
  <ZBAAcct>sample string 5</ZBAAcct>
  <Zip>sample string 12</Zip>
</ClientAccountEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.